## ministat 20100628

=== Makefile ===
# $FreeBSD$
PROG=	ministat
DPADD=	${LIBM}
LDADD=	-lm

.include <bsd.prog.mk>

test:	${PROG}
	./${PROG} < ${.CURDIR}/chameleon 
	./${PROG} ${.CURDIR}/chameleon 
	./${PROG} ${.CURDIR}/iguana ${.CURDIR}/chameleon
	./${PROG} -c 80 ${.CURDIR}/iguana ${.CURDIR}/chameleon
	./${PROG} -s -c 80 ${.CURDIR}/chameleon ${.CURDIR}/iguana
	./${PROG} -s -c 80 ${.CURDIR}/chameleon ${.CURDIR}/iguana ${.CURDIR}/iguana

=== debian/changelog ===
ministat (20100628-1) unstable; urgency=low

  * Initial release - closes: #604186

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 21 Nov 2010 02:54:08 +0000

=== debian/control ===
Source: ministat
Section: math
Priority: extra
Maintainer: Ben Hutchings <ben@decadent.org.uk>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Vcs-Git: http://git.decadent.org.uk/git/ministat.git/
Vcs-Browser: http://git.decadent.org.uk/gitweb?p=ministat.git

Package: ministat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a simple tool for statistical comparison of data sets
 The ministat command from FreeBSD.  It calculates fundamental
 statistical properties of one or two numeric data sets, and
 whether a difference can be found between two data sets at a
 given confidence level.

## ministat 20150715

=== Makefile ===
# $FreeBSD$
PROG=	ministat

LIBADD=	m

.include <bsd.prog.mk>

test:	${PROG}
	./${PROG} < ${.CURDIR}/chameleon
	./${PROG} ${.CURDIR}/chameleon
	./${PROG} ${.CURDIR}/iguana ${.CURDIR}/chameleon
	./${PROG} -c 80 ${.CURDIR}/iguana ${.CURDIR}/chameleon
	./${PROG} -s -c 80 ${.CURDIR}/chameleon ${.CURDIR}/iguana
	./${PROG} -s -c 80 ${.CURDIR}/chameleon ${.CURDIR}/iguana ${.CURDIR}/iguana

=== debian/changelog ===
ministat (20150715-1) unstable; urgency=medium

  * New upstream version
    - Add option to suppress just the plot in ministat while still retaining
      the relative comparison
    - Clarify the ministat default width (Closes: #773457)
  * debian/control: Change Vcs-Git and Vcs-Browser to HTTP-S URLs
  * debian/copyright: Change upstream URL to use HTTP-S
  * Fix ctype usage introduced by new upstream version
  * debian/control: Delete 'a' from description synopsis as lintian recommends
  * debian/compat,debian/control: Use debhelper 9
  * Update policy version to 3.9.6; no changes required
  * Build with compiler/linker flags from dpkg-buildflags

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 30 Aug 2015 14:20:18 +0100

=== debian/control ===
Source: ministat
Section: math
Priority: extra
Maintainer: Ben Hutchings <ben@decadent.org.uk>
Build-Depends: debhelper (>= 9~)
Standards-Version: 3.9.6
Vcs-Git: https://git.decadent.org.uk/git/ministat.git/
Vcs-Browser: https://git.decadent.org.uk/gitweb?p=ministat.git

Package: ministat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple tool for statistical comparison of data sets
 The ministat command from FreeBSD.  It calculates fundamental
 statistical properties of one or two numeric data sets, and
 whether a difference can be found between two data sets at a
 given confidence level.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

clean:
	dh_clean ministat

override_dh_install:
	dh_install ministat usr/bin

override_dh_installman:
	dh_installman ministat.1

## ministat 20251113

=== debian/changelog ===
ministat (20251113-2) unstable; urgency=medium

  * Fix startup on Linux with Landlock disabled

 -- Ben Hutchings <benh@debian.org>  Sun, 04 Jan 2026 20:16:36 +0100

ministat (20251113-1) unstable; urgency=medium

  * New upstream version:
    - Correct calculation of median of set with even number of elements
    - Improve accuracy of % difference, variance, and standard deviation
    - Add a -q flag to suppress headers in output
    - Clean up usage message and manual page
  * d/control: Point Vcs URLs to Salsa (Closes: #1123854)
  * Build with CPPFLAGS from dpkg-buildflags
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org
  * d/copyright: Update and convert to machine-readable format
  * Refresh patches for new upstream version
  * Add required Capsicum helper functions
  * d/control: Set Homepage to man page on freebsd.org
  * Check for and reject nan or inf data, instead of crashing (Closes: #1123856)
    (thanks to Dima Kogan)

 -- Ben Hutchings <benh@debian.org>  Sun, 04 Jan 2026 17:36:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Ben Hutchings <ben@decadent.org.uk>
 Build-Depends: debhelper (>= 9~)
 Standards-Version: 3.9.6
-Vcs-Git: https://git.decadent.org.uk/git/ministat.git/
-Vcs-Browser: https://git.decadent.org.uk/gitweb?p=ministat.git
+Homepage: https://man.freebsd.org/cgi/man.cgi?query=ministat
+Vcs-Git: https://salsa.debian.org/benh/ministat.git
+Vcs-Browser: https://salsa.debian.org/benh/ministat
 
 Package: ministat
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/architecture.mk
+
+export DEB_CPPFLAGS_MAINT_APPEND = -isystem debian/libcapsicum/$(DEB_HOST_ARCH_OS)
 
 %:
 	dh $@
